import React, {FunctionComponent, ReactElement} from 'react';
import {NavLink, Outlet} from 'react-router-dom';

const Layout: FunctionComponent = (): ReactElement => {
	return (
		<div className="container mx-auto ">
			<div className="flex justify-between">
				<a href="#">Add Post</a>
				<div>
					<NavLink to={'register'}>Register</NavLink>
					<NavLink to={'login'}>Login</NavLink>
				</div>
			</div>
			<Outlet />
		</div>
	);
};

export default Layout;
